ISIS - Bug #4433

pixel2map removes bandbin group when projecting a single image
2016-10-03 01:14 PM - Michael Bland

Status: Closed

Priority: Normal

Assignee: lan Humphrey

Category: Applications

Target version: FY17 Sprint 3

Impact: IsisCube labels and tables attached to Software Version:
output cubes when there is a single input
image.

Description

pixel2map removes the bandbin group when projecting a single multiband image. This is likely because some adjacent pixels may
overlap in the projected image and must be averaged. However, for a single image this averaging should not effect the
band-wavelength mapping. If possible pixel2map should retain the bandbin group when a single image (rather than a list) is used.

**This will be under Soderblom FY17 Cassini account

Related issues:
Related to ISIS - UserTestPlan #4500: pixel2map removes bandbin group when pr... Closed

History

#1 - 2016-10-05 01:21 PM - Tammy Becker

- Status changed from New to Acknowledged

Cassini VIMS Enceladus basemap impacted

#2 - 2016-11-01 10:20 AM - Tammy Becker

- Related to UserTestPlan #4500: pixel2map removes bandbin group when projecting a single image added

#3 - 2016-11-10 10:15 AM - Jason Laura
- Target version set to FY17 Backlog

#4 - 2016-11-10 10:22 AM - Jason Laura
- Target version changed from FY17 Backlog to FY17 Sprint 3

#5 - 2016-11-10 11:03 AM - Jason Laura
- Story points set to 2
- Assignee deleted (Michael Bland)

#6 - 2016-11-16 01:20 PM - lan Humphrey

- Assignee set to lan Humphrey

#7 - 2016-11-16 01:21 PM - lan Humphrey

- Status changed from Acknowledged to In Progress
#8 - 2016-11-18 03:03 PM - lan Humphrey

- Status changed from In Progress to Resolved

- Impact updated
Changes at:
/work/projects/isis/latest/m04433_04495

Story points have been used.
The IsisCube labels (which includes BandBin group) and tables are attached to the output cubes if there is a single input image.
Ran the user test (#4500), BandBin group is now attached to the IsisCube object (with additional groups and tables).

Note that there is an issue when opening the output vis and ir cube in qview. When using the tracking tool, camera angles are unreported for the first
couple of lines (but exist for most of the rest of the image).

#9 - 2016-11-21 10:08 AM - Marjorie Hahn

- Status changed from Resolved to In Review

#10 - 2016-11-21 01:01 PM - Marjorie Hahn

- Status changed from In Review to Closed

Code looks good and tests (UserTestPlan #4500) are now passing.
